Index: general.ent
===================================================================
--- general.ent	(revision d47e7ea95eb5c2b2cdee553b3fe0dbd542459a4c)
+++ general.ent	(revision 3bba7e231dbdb93feb4c5a3169aa5e89390fce5c)
@@ -22,69 +22,73 @@
 <!-- Part II -->
 <!-- Chapter 4 -->
-<!ENTITY cracklib-version  "2.7">   
-<!ENTITY Linux_PAM-version "0.77">  
-<!ENTITY shadow-version    "4.0.4.1">  
-<!ENTITY iptables-version  "1.2.9"> 
-<!ENTITY gnupg-version     "1.2.4">  
-<!ENTITY tripwire-version  "2.3.1-2">   
-<!ENTITY heimdal-version   "0.6.2">   
-<!ENTITY mitkrb-version    "1.3.3"> 
-
-
-<!-- Chapter 5 -->
-<!ENTITY reiser-version    "3.6.14"> 
-<!ENTITY xfsprogs-version  "2.6.13">
-
-<!-- Chapter 6 -->
-<!ENTITY vim-version       "6.2">  
-<!ENTITY emacs-version     "21.3">  
-<!ENTITY nano-version      "1.2.3">  
-<!ENTITY joe-version       "3.0"> 
-
-<!-- Chapter 7 -->
-<!ENTITY ash-version       "0.4.0"> 
-<!ENTITY tcsh-version      "6.13.00">  
-<!ENTITY zsh-version       "4.2.0">        
-
-<!-- Part III -->
-
-<!-- Part IV -->
-
-<!-- Chapter 13 -->
-<!ENTITY ppp-version       "2.4.2"> 
-<!ENTITY wvdial-version    "1.53"> 
-
-<!-- Chapter 14 -->
-<!ENTITY dhcp-version      "3.0pl2"> 
-<!ENTITY dhcpcd-version    "1.3.22-pl4">   
-
-<!-- Chapter 15 -->
-<!ENTITY pppoe-version     "3.5"> 
-
-<!-- Chapter 16 -->
-<!ENTITY curl-version      "7.11.2"> 
-<!ENTITY wvstreams-version "3.70">  
-<!ENTITY gnet-version      "2.0.5">   
-<!ENTITY libsoup-version   "1.99.28"> 
-
-<!-- Chapter 17 -->
-<!ENTITY Links-version     "2.1pre14">  
-<!ENTITY lynx-version      "2.8.5">
-<!ENTITY w3m-version       "0.4.2"> 
-
-<!-- Chapter 18 -->
-<!ENTITY ncftp-version     "3.1.7"> 
-<!ENTITY openssh-version   "3.8.1p1"> 
-<!ENTITY rsync-version     "2.6.2"> 
-<!ENTITY cvs-version       "1.11.16">  
-<!ENTITY wget-version      "1.9.1">  
+<!ENTITY cracklib-version    "2.7">   
+<!ENTITY Linux_PAM-version   "0.77">  
+<!ENTITY shadow-version      "4.0.4.1">  
+<!ENTITY iptables-version    "1.2.9"> 
+<!ENTITY gnupg-version       "1.2.4">  
+<!ENTITY tripwire-version    "2.3.1-2">   
+<!ENTITY heimdal-version     "0.6.2">   
+<!ENTITY mitkrb-version      "1.3.3"> 
+                            
+                            
+<!-- Chapter 5 -->          
+<!ENTITY reiser-version      "3.6.14"> 
+<!ENTITY xfsprogs-version    "2.6.13">
+                            
+<!-- Chapter 6 -->          
+<!ENTITY vim-version         "6.2">  
+<!ENTITY emacs-version       "21.3">  
+<!ENTITY nano-version        "1.2.3">  
+<!ENTITY joe-version         "3.0"> 
+                            
+<!-- Chapter 7 -->          
+<!ENTITY ash-version         "0.4.0"> 
+<!ENTITY tcsh-version        "6.13.00">  
+<!ENTITY zsh-version         "4.2.0">        
+                            
+<!-- Part III -->           
+                            
+<!-- Part IV -->            
+                            
+<!-- Chapter 13 -->         
+<!ENTITY ppp-version         "2.4.2"> 
+<!ENTITY wvdial-version      "1.53"> 
+                            
+<!-- Chapter 14 -->         
+<!ENTITY dhcp-version        "3.0pl2"> 
+<!ENTITY dhcpcd-version      "1.3.22-pl4">   
+                            
+<!-- Chapter 15 -->         
+<!ENTITY pppoe-version       "3.5"> 
+                            
+<!-- Chapter 16 -->         
+<!ENTITY curl-version        "7.11.2"> 
+<!ENTITY wvstreams-version   "3.70">  
+<!ENTITY gnet-version        "2.0.5">   
+<!ENTITY libsoup-version     "1.99.28"> 
+                            
+<!-- Chapter 17 -->         
+<!ENTITY Links-version       "2.1pre14">  
+<!ENTITY lynx-version        "2.8.5">
+<!ENTITY w3m-version         "0.4.2"> 
+                            
+<!-- Chapter 18 -->         
+<!ENTITY ncftp-version       "3.1.7"> 
+<!ENTITY openssh-version     "3.8.1p1"> 
+<!ENTITY rsync-version       "2.6.2"> 
+<!ENTITY cvs-version         "1.11.16">  
+<!ENTITY wget-version        "1.9.1">  
 <!ENTITY tcpwrappers-version "7.6">  
-<!ENTITY portmap-version   "5beta">    
-<!ENTITY inetutils-version "1.4.2">  
-<!ENTITY nfs-utils-version "1.0.6">   
-<!ENTITY ncpfs-version     "2.2.4"> 
-<!ENTITY ntp-version       "4.2.0">  
-
-<!-- Chapter 19 -->
+<!ENTITY portmap-version     "5beta">    
+<!ENTITY inetutils-version   "1.4.2">  
+<!ENTITY nfs-utils-version   "1.0.6">   
+<!ENTITY ncpfs-version       "2.2.4"> 
+<!ENTITY ntp-version         "4.2.0">  
+                            
+<!-- Chapter 19 -->         
+<!ENTITY traceroute-version  "1.4a12"> 
+<!ENTITY nmap-version        "3.50">  
+<!ENTITY whois-version       "4.6.14">
+<!ENTITY bind-version        "9.2.3"> 
 
 
